Loading...
Searching...
No Matches
gtsam::traits< Similarity2 > Struct Reference
Inheritance diagram for gtsam::traits< Similarity2 >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< Similarity2 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Similarity2 >))
Static Public Member Functions inherited from gtsam::internal::LieGroupTraits< Similarity2 >
static TangentVector | Logmap (const Similarity2 &m, ChartJacobian Hm=boost::none)
static Similarity2 | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Similarity2 | Compose (const Similarity2 &m1, const Similarity2 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Similarity2 | Between (const Similarity2 &m1, const Similarity2 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Similarity2 | Inverse (const Similarity2 &m, ChartJacobian H=boost::none)
static TangentVector | Local (const Similarity2 &origin, const Similarity2 &other, ChartJacobian Horigin=boost::none, ChartJacobian Hother=boost::none)
static Similarity2 | Retract (const Similarity2 &origin, const TangentVector &v, ChartJacobian Horigin=boost::none, ChartJacobian Hv=boost::none)
static Similarity2 | Identity ()
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Similarity2, Similarity2::dimension >
static int | GetDimension (const Similarity2 &)
Static Public Member Functions inherited from gtsam::Testable< Similarity2 >
static void | Print (const Similarity2 &m, const std::string &str="")
static bool | Equals (const Similarity2 &m1, const Similarity2 &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::LieGroupTraits< Similarity2 >
typedef lie_group_tag | structure_category
enum |
typedef Similarity2 | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef multiplicative_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/Similarity2.h